package com.xjrsoft.module.assessment.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.assessment.dto.AddAssessmentTemplateDto;
import com.xjrsoft.module.assessment.dto.UpdateAssessmentTemplateDto;
import com.xjrsoft.module.assessment.entity.AssessmentTemplate;
import com.xjrsoft.module.assessment.vo.AssessmentTemplateVo;

import java.util.List;

/**
* @title: 考核模板
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/

public interface IAssessmentTemplateService extends MPJBaseService<AssessmentTemplate> {
    /**
    * 新增
    *
    * @param assessmentTemplate
    * @return
    */
    Boolean add(AssessmentTemplate assessmentTemplate);

    Boolean addCustom(AddAssessmentTemplateDto dto);

    /**
    * 更新
    *
    * @param assessmentTemplate
    * @return
    */
    Boolean update(AssessmentTemplate assessmentTemplate);

    Boolean update(UpdateAssessmentTemplateDto dto);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    AssessmentTemplateVo getById(Long id);
}
